forrest-svn mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From che...@apache.org
Subject svn commit: r279990 - in /forrest/trunk/etc/cocoon_upgrade: README.txt build.xml local.blocks.properties
Date Sat, 10 Sep 2005 11:44:26 GMT
Author: cheche
Date: Sat Sep 10 04:44:19 2005
New Revision: 279990

URL: http://svn.apache.org/viewcvs?rev=279990&view=rev
Log:
pre-work for upgrade to cocoon-2.2.0-dev-r279987

Modified:
    forrest/trunk/etc/cocoon_upgrade/README.txt
    forrest/trunk/etc/cocoon_upgrade/build.xml
    forrest/trunk/etc/cocoon_upgrade/local.blocks.properties

Modified: forrest/trunk/etc/cocoon_upgrade/README.txt
URL: http://svn.apache.org/viewcvs/forrest/trunk/etc/cocoon_upgrade/README.txt?rev=279990&r1=279989&r2=279990&view=diff
==============================================================================
--- forrest/trunk/etc/cocoon_upgrade/README.txt (original)
+++ forrest/trunk/etc/cocoon_upgrade/README.txt Sat Sep 10 04:44:19 2005
@@ -22,11 +22,19 @@
 
 4. cd $FORREST_HOME/etc/cocoon_upgrade
 
-5. ant build-cocoon 
+5. edit build.xml and modify new revision
+   ant build-cocoon
 
-6. ant copy-cocoon
+6. cd $FORREST_HOME/lib
 
-7.  cd $FORREST_HOME/lib
+7a. For each cocoon-{name}-{cocoon.version}-{cocoon.revision}.jar
+
+svn mv cocoon-{name}-{cocoon.version}-{cocoon.OLDrevision}.jar 
+cocoon-{name}-{cocoon.version}-{cocoon.NEWrevision}.jar
+ 
+svn ci -m "prework for upgrade to {cocoon.NEWrevision}" 
+
+7b.  ant copy-cocoon
 
 8.  We need to make sure there is a license.txt file for each of the
     jars that we have in the lib/* directories.

Modified: forrest/trunk/etc/cocoon_upgrade/build.xml
URL: http://svn.apache.org/viewcvs/forrest/trunk/etc/cocoon_upgrade/build.xml?rev=279990&r1=279989&r2=279990&view=diff
==============================================================================
--- forrest/trunk/etc/cocoon_upgrade/build.xml (original)
+++ forrest/trunk/etc/cocoon_upgrade/build.xml Sat Sep 10 04:44:19 2005
@@ -26,7 +26,7 @@
     <property environment="env"/>
     <property name="cocoon.home" location="${env.COCOON_HOME}"/>
     <property name="cocoon.version" value="2.2.0-dev"/>
-    <property name="svn.revision" value="-r230820"/>
+    <property name="svn.revision" value="-r279987"/>
     <property name="forrest.home" location="${env.FORREST_HOME}"/>
   </target>
 
@@ -138,6 +138,7 @@
         <include name="*-block.jar"/>
         <!-- servlet.jar has been added within jetty-->
         <exclude name="servlet-*.jar"/>
+        <exclude name="cocoon-validation-*.jar"/>
       </fileset>
     </copy>
   </target>

Modified: forrest/trunk/etc/cocoon_upgrade/local.blocks.properties
URL: http://svn.apache.org/viewcvs/forrest/trunk/etc/cocoon_upgrade/local.blocks.properties?rev=279990&r1=279989&r2=279990&view=diff
==============================================================================
--- forrest/trunk/etc/cocoon_upgrade/local.blocks.properties (original)
+++ forrest/trunk/etc/cocoon_upgrade/local.blocks.properties Sat Sep 10 04:44:19 2005
@@ -36,6 +36,14 @@
 # using "build generate-blocks.properties". Any changes to blocks definitions
 # must be made in gump.xml, not here.
 
+# All blocks -------------------------------------------------------------------
+
+# Use this property to exclude all blocks at once
+# exclude.all.blocks=true
+
+# Use this property to include all blocks at once
+# include.all.blocks=true
+
 
 # Stable blocks ----------------------------------------------------------------
 
@@ -45,50 +53,54 @@
 # can depend on.
 
 #-----[dependency]: "authentication-fw" depends on "session-fw".
-#-----[dependency]: "authentication-fw" is needed by "portal", "portal-fw".
+#-----[dependency]: "authentication-fw" is needed by "portal", "portal-sample".
 include.block.authentication-fw=false
 #-----[dependency]: "batik" is needed by "fop", "scratchpad", "tour".
 include.block.batik=true
 include.block.bsf=false
-#-----[dependency]: "chaperon" depends on "xsp" (for samples).
+#-----[dependency]: "chaperon" depends on "template" (for samples).
 include.block.chaperon=true
-#-----[dependency]: "databases" depends on "xsp".
-#-----[dependency]: "databases" is needed by "hsqldb", "jms", "ojb", "petstore", "repository",
"xmldb".
+#-----[dependency]: "databases" depends on "hsqldb" (for samples).
+#-----[dependency]: "databases" is needed by "jms", "ojb", "petstore", "repository", "xmldb",
"xsp".
 include.block.databases=false
 #-----[dependency]: "fop" depends on "batik".
 #-----[dependency]: "fop" is needed by "tour".
 include.block.fop=true
-#-----[dependency]: "hsqldb" depends on "databases".
-#-----[dependency]: "hsqldb" is needed by "jms", "ojb", "petstore".
+#-----[dependency]: "hsqldb" is needed by "databases", "jms", "ojb", "petstore".
 include.block.hsqldb=false
-#-----[dependency]: "html" is needed by "portal".
 include.block.html=true
+#-----[dependency]: "itext" depends on "xsp" (for samples).
 include.block.itext=false
 include.block.jfor=false
 include.block.jsp=false
 include.block.linkrewriter=true
-#-----[dependency]: "lucene" depends on "forms" (for samples), "xsp" (for samples).
+#-----[dependency]: "lucene" depends on "template" (for samples).
 #-----[dependency]: "lucene" is needed by "querybean".
 include.block.lucene=true
 include.block.naming=false
+#-----[dependency]: "ojb" depends on "databases" (for samples), "forms" (for samples), "hsqldb"
(for samples).
+#-----[dependency]: "ojb" is needed by "portal-sample", "querybean".
+include.block.ojb=false
 include.block.paranoid=false
 include.block.poi=false
-#-----[dependency]: "portal" depends on "authentication-fw", "html", "session-fw".
-#-----[dependency]: "portal" is needed by "faces".
+#-----[dependency]: "portal" depends on "authentication-fw", "cron", "forms", "session-fw".
+#-----[dependency]: "portal" is needed by "faces", "portal-sample".
 include.block.portal=false
+#-----[dependency]: "portal-sample" depends on "authentication-fw", "cron", "forms", "ojb",
"portal", "session-fw", "template" (for samples).
+include.block.portal-sample=false
 include.block.profiler=true
 #-----[dependency]: "python" depends on "xsp".
 include.block.python=false
-#-----[dependency]: "session-fw" depends on "xsp".
-#-----[dependency]: "session-fw" is needed by "authentication-fw", "portal", "portal-fw".
+#-----[dependency]: "session-fw" is needed by "authentication-fw", "portal", "portal-sample",
"xsp".
 include.block.session-fw=false
 #-----[dependency]: "velocity" is needed by "petstore", "scratchpad".
 include.block.velocity=false
 include.block.web3=false
 #-----[dependency]: "xmldb" depends on "databases".
 include.block.xmldb=false
-#-----[dependency]: "xsp" is needed by "chaperon", "databases", "eventcache", "forms", "lucene",
"python", "scratchpad", "session-fw", "woody".
-#include.block.xsp=false
+#-----[dependency]: "xsp" depends on "databases", "session-fw".
+#-----[dependency]: "xsp" is needed by "itext", "python", "scratchpad".
+include.block.xsp=true
 
 # Unstable blocks --------------------------------------------------------------
 
@@ -106,67 +118,53 @@
 include.block.asciiart=true
 #-----[dependency]: "axis" is needed by "scratchpad".
 include.block.axis=false
-#-----[dependency]: "cron" is needed by "scratchpad".
+#-----[dependency]: "cron" depends on "template" (for samples).
+#-----[dependency]: "cron" is needed by "jms", "portal", "portal-sample", "scratchpad".
 include.block.cron=false
 include.block.deli=false
-#-----[dependency]: "eventcache" depends on "jms", "xsp" (for samples).
+#-----[dependency]: "eventcache" depends on "jms", "template" (for samples).
 #-----[dependency]: "eventcache" is needed by "repository".
 include.block.eventcache=false
 #-----[dependency]: "faces" depends on "portal", "taglib".
 #-----[dependency]: "faces" is needed by "scratchpad".
 include.block.faces=false
-#-----[dependency]: "forms" depends on "xsp" (for samples).
-#-----[dependency]: "forms" is needed by "apples", "javaflow", "lucene", "ojb", "petstore",
"querybean", "tour".
+#-----[dependency]: "forms" depends on "template".
+#-----[dependency]: "forms" is needed by "apples", "ojb", "petstore", "portal", "portal-sample",
"querybean", "tour".
 include.block.forms=false
-#-----[dependency]: "javaflow" depends on "forms", "ojb" (for samples).
+#-----[dependency]: "javaflow" depends on "template" (for samples).
 #-----[dependency]: "javaflow" is needed by "scratchpad".
 include.block.javaflow=false
 include.block.jcr=false
-#-----[dependency]: "jms" depends on "databases" (for samples), "hsqldb" (for samples).
+#-----[dependency]: "jms" depends on "cron", "databases" (for samples), "hsqldb" (for samples).
 #-----[dependency]: "jms" is needed by "eventcache", "slide".
 include.block.jms=false
-include.block.linotype=false
 #-----[dependency]: "mail" depends on "asciiart", "scratchpad".
 include.block.mail=false
 include.block.midi=false
-#-----[dependency]: "ojb" depends on "databases" (for samples), "forms" (for samples), "hsqldb"
(for samples).
-#-----[dependency]: "ojb" is needed by "javaflow".
-include.block.ojb=false
-#-----[dependency]: "petstore" depends on "databases", "forms", "hsqldb", "velocity".
+#-----[dependency]: "petstore" depends on "databases", "forms", "hsqldb", "template", "velocity".
 include.block.petstore=false
 include.block.proxy=false
 include.block.qdox=false
-#-----[dependency]: "querybean" depends on "forms" (for samples), "lucene".
+#-----[dependency]: "querybean" depends on "forms" (for samples), "lucene", "ojb", "template"
(for samples).
 include.block.querybean=false
 #-----[dependency]: "repository" depends on "databases" (for samples), "eventcache".
 #-----[dependency]: "repository" is needed by "scratchpad", "slide", "webdav".
 include.block.repository=false
-#-----[dependency]: "scratchpad" depends on "axis" (for samples), "batik" (for samples),
"cron", "faces" (for samples), "javaflow", "repository", "velocity" (for samples), "xsp".
+#-----[dependency]: "scratchpad" depends on "axis" (for samples), "batik" (for samples),
"cron", "faces" (for samples), "javaflow", "repository", "template" (for samples), "velocity"
(for samples), "xsp".
 #-----[dependency]: "scratchpad" is needed by "mail".
 include.block.scratchpad=false
 include.block.serializers=false
-#-----[dependency]: "slide" depends on "jms", "repository".
+#-----[dependency]: "slide" depends on "jms", "repository", "template" (for samples).
 include.block.slide=false
 #-----[dependency]: "slop" is needed by "tour".
 include.block.slop=false
+include.block.spring-app=false
 include.block.stx=false
 #-----[dependency]: "taglib" is needed by "faces".
 include.block.taglib=false
+#-----[dependency]: "template" is needed by "chaperon", "cron", "eventcache", "forms", "javaflow",
"lucene", "petstore", "portal-sample", "querybean", "scratchpad", "slide", "tour", "webdav".
 include.block.template=false
-#-----[dependency]: "tour" depends on "batik", "fop", "forms", "slop".
+#-----[dependency]: "tour" depends on "batik", "fop", "forms", "slop", "template".
 include.block.tour=false
-#include.block.validation=false
-#-----[dependency]: "webdav" depends on "repository".
+#-----[dependency]: "webdav" depends on "repository", "template" (for samples).
 include.block.webdav=false
-
-# Deprecated blocks ------------------------------------------------------------
-
-# Although some of these blocks may have been stable, they are now deprecated
-# in favour of other blocks and therefore are excluded by default from the build.
-# For including one of them you have to set the exclude property into comment in
-# blocks.properties.
-
-#-----[dependency]: "portal-fw" depends on "authentication-fw", "session-fw".
-include.block.portal-fw=false
-#-----[dependency]: "woody" depends on "xsp" (for samples).
-include.block.woody=false



Mime
View raw message